/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 10:28:13
 * @FilePath: /202103/code/test/tmp/ReportRecord.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const ReportRecord = sequelize.define('report_record', {
  id: {type: Sequelize.STRING(32), allowNull: false, primaryKey: true}, // id,
  impression: {type: Sequelize.STRING(2000), allowNull: true, defaultValue: null}, // impression, 检查所见
  description: {type: Sequelize.STRING(2000), allowNull: true, defaultValue: null}, // description, 意见建议
  report_id: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // report_id, 检查表id
  doctor_id: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // doctor_id, 医生id
  type: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // type, 操作类型 1报告 2审核 3确认 4驳回
  report_result: {type: Sequelize.STRING(255), allowNull: true, defaultValue: '1'}, // report_result, 阴阳性 1阴性  2阳性
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['report_id']}
  ],
});
ReportRecord.sync({ force: false }).then(function() {});
export default ReportRecord;