/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-22 19:44:50
 * @FilePath: /202103/code/test/tmp/Images.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const Images = sequelize.define('images', {
  id: {type: Sequelize.STRING(32), allowNull: false, primaryKey: true}, // id,
  series_id: {type: Sequelize.STRING(200), allowNull: true, defaultValue: null}, // series_id, 对应的序列key
  imageId: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // imageId, 影像ID
  sopUid: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // sopUid,
  imageNumber: {type: Sequelize.INTEGER(11), allowNull: true, defaultValue: 0}, // imageNumber, 影像号
  owner: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // owner, 所属人
  windowWidth: {type: Sequelize.STRING(200), allowNull: true, defaultValue: null}, // windowWidth, 窗宽
  windoCenter: {type: Sequelize.STRING(200), allowNull: true, defaultValue: null}, // windoCenter, 窗位
  rows: {type: Sequelize.STRING(200), allowNull: true, defaultValue: null}, // rows, 行
  columns: {type: Sequelize.STRING(200), allowNull: true, defaultValue: null}, // columns, 队
  pixeSpacing: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // pixeSpacing, 影像的展示参数
  imagePosition: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // imagePosition, 影像的展示参数
  imageOrientation: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // imageOrientation, 影像的展示参数
  ctime: {type: Sequelize.DATE, allowNull: true, defaultValue: null}, // ctime, 创建时间
  utime: {type: Sequelize.DATE, allowNull: true, defaultValue: null}, // utime, 修改时间
  url: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // url, 加载地址
  metadata: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // metadata,
  size: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // size,
  hospitalId: {type: Sequelize.STRING(100), allowNull: true, defaultValue: null}, // hospitalId,
  local_url: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // local_url,
  remote_url: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // remote_url,
  status: {type: Sequelize.INTEGER(11), allowNull: true, defaultValue: 2}, // status,
  frame: {type: Sequelize.INTEGER(11), allowNull: true, defaultValue: 0}, // frame,
  cineRate: {type: Sequelize.INTEGER(11), allowNull: true, defaultValue: 0}, // cineRate,
  ext: {type: Sequelize.JSON, allowNull: true, defaultValue: null}, // ext
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['series_id']}
  ],
});
Images.sync({ force: false }).then(function() {});
export default Images;